MAKEDBZ(8)

NAME
makedbz - rebuild dbz files

SYNOPSIS
makedbz [ -f filename ] [ -i ] [ -o ] [ -s size ]

DESCRIPTION

Makedbz rebuilds dbz(3) database. The default name of the text file is <pathdb in inn.conf>/history; to specify a different name, use the ``-f'' flag.

OPTIONS

-f  If the ``-f'' flag is used, then the database files are named file.dir , file.index and file.hash. If the ``-f'' flag is not used, then a temporary link to the name history.n is made and the database files are written as history.n.index , history.n.hash and history.n.dir.

-i  To ignore the old database use the ``-i'' flag. Using the ``-o'' or ``-s'' flag implies the ``-i'' flag.

-o  If the ``-o'' flag is used, then the link is not made and any existing history files are overwritten. If the old database exists, makedbz will use it to determine the size of the new database.

-s  The program will also ignore any old database if the ``-s'' flag is used to specify the approximate number of entries in the new database. Accurately specifying the size is an optimization that will create a more efficient database. (The size should be the estimated eventual size of the file, typically the size of the old file.) For more information, see the discussion of dbzfresh and dbzsize in dbz(3).

HISTORY
Written by Katsuhiro Kondou <kondou@nec.co.jp> for InterNetNews.

SEE ALSO
dbz(3), history(5), inn.conf(5).